Retrieve orders listAsk AIget https://api-test.element.market/openapi/v1/orders/listThis endpoint can be used to fetch orders from the systemQuery ParamschainstringenumrequiredChain Name, eth is default.ethbscpolygonavalanchearbitrumzksynclineastarknetopbnbbasescrollmanta_pacificoptimismmantlezkfairblastmerlinShow 17 enum valuesasset_contract_addressstringFilter by smart contract address for the asset category.When this field is empty, only the parameters chain, side, direction, listed_after, limit, offset will affect the query result, other parameters will be ignored.token_idsstringFilter by a list of token IDs for the order's asset, comma separated. Needs to be defined together with asset_contract_address.sale_kindstringFilter by the kind of sell order, 0 for standard order, 3 for bulk listings, 7 for collection offer, default for all orders.sidestringDefaults to 1Filter by the side of the order. 0 for buy orders and 1 for sell orders.makerstringFilter by the order maker's wallet addresstakerstringFilter by the order taker's wallet address. Orders open for any taker have the null address as their taker.payment_tokenstringFilter by the address of the smart contract of the payment token that is accepted or offered by the order, Native token is 0x0000000000000000000000000000000000000000 for sell order. Leave blank to query all paymentToken orders.order_bystringenumHow to sort the orders. Can be created_date for when they were made, or base_price to see the lowest-priced orders first, when using created_date, the results are sorted by listingTime. use with direction, created_date is default.created_datecreated_datebase_priceAllowed:created_datebase_pricedirectionstringenumCan be asc or desc for ascending or descending sort. use with order_by, desc is default.descdescascAllowed:descasclisted_beforestringOnly show orders listed before this timestamp(order createdTime). Seconds since the Unix epoch.listed_afterstringOnly show orders listed after this timestamp(order createdTime). Seconds since the Unix epoch.limitint32Defaults to 20Number of orders to return (capped at 50, default is 20).offsetint32Defaults to 0Number of orders to offset by (for pagination), When asset_contract_address is not provided, max offset is 10000.Responses 200OK 400Bad Request 429Too Many Requests 500Internal Server ErrorUpdated about 1 year ago